# Note that this is NOT a relocatable package

%define libname     %mklibname %name 0

%define cvs 0
%define fversion 0.5


Summary:   A KDE tabulature editor 
Name:      kguitar 
Version:   0.5.0
Release:   %mkrel 4
License:   GPL
Group:     Sound
Source:    http://puzzle.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{fversion}.tar.bz2
URL:       http://kguitar.sourceforge.net/ 
BuildRoot: %{_tmppath}/%name-root
# For texhash:
Requires: tetex %libname 
BuildRequires: tse3-devel 
BuildRequires: zlib-devel

%description
KGuitar is basically a guitar tabulature editor for K Desktop
Environment. It's much more than just a tab editor. It's features are:

* free GPLed K Desktop Environment GUI
* Powerful and convenient tabulature editing, including many effects
  and classical note score editing for classic instrument players;
* Full and very customizable MIDI to tabulature import and export;
* Support of extra data formats, such as ASCII tabulatures or popular
  programs' format, such as Guitar Pro's or TablEdit;
* Chord fingering construction tools - chord finder & chord analyzer;
* Highly customizable to suit a lot of possible instruments (not only
  6-stringed guitars, and even not only guitars), including drum tracks,
  lyrics and other MIDI events.

Well, right now KGuitar is in very alpha state and doesn't support
everything stated. However, it already features a nice tabulature
editor, though not ultimately powerful, loading/saving its own format (kg
files) and all the chord construction tools.


%package -n %libname
Epoch:      1
Summary:    KGuitar libraries 
Group:      System/Libraries
Provides: libkguitar
Obsoletes: libkguitar
#(neoclust) ticket 15981
Provides: libkguitar-devel
Obsoletes: libkguitar-devel

%description -n %{libname}
This is the shared librairies of KGuitar.

%prep
%setup -q -n %{name}-%{fversion}

%if %cvs
make -f Makefile.cvs
%else
%endif
# regenerate build system because patch0 added new files:
make -f admin/Makefile.common 



export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x --disable-rpath
# fix Makefile due to buggy auto*:
for i in Makefile kguitar/Makefile{.in,}; do
	perl -pi -e 's! --tag=CXX!!g' $i
done
/usr/lib/qt3/bin/uic kguitar/settabmidibase.ui > kguitar/settabmidibase.h  

%build
%make

%install
%makeinstall TEXMF=$RPM_BUILD_ROOT/usr/share/texmf
%find_lang %{name}
%find_lang %{name}-%version
cat %name-%version.lang >> %name.lang
rm -f $RPM_BUILD_ROOT%_datadir/texmf/ls-R

rm -f %buildroot/usr/share/doc/libkguitar0-devel-0.5.0/COPYING
%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -p /usr/bin/texhash
%postun -p /usr/bin/texhash

%files -f %name.lang
%defattr(-,root,root)
%doc README DEVELOPERS COPYING AUTHORS ChangeLog
%attr(755,root,root) %_bindir/*
%_datadir/applnk/Multimedia/kguitar.desktop
%_datadir/apps/kguitar
%_iconsdir/*/*/mimetypes/kguitar_tab.png
%_iconsdir/*/*/apps/kguitar.png
%_datadir/mimelnk/application/x-kguitar.desktop
%_datadir/services/kguitar_part.desktop
%_datadir/doc/HTML/en/kguitar/

%files -n %libname
%defattr(-,root,root)
%doc COPYING 
%_libdir/kde3/libkguitarpart.la
%_libdir/kde3/*.so


%changelog
* Tue Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-4mdk
- Remove -devel sub package thanks to Emmanuel Andry for pointed me  
                  out this problem

* Mon May 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-3mdk
- Fix Files section

* Mon May 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-2mdk
- Fix BuildRequires
- Fix build on AMD64

* Thu Apr 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- Release 0.5.0

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.9-4mdk
- rebuild with new g++
- patch 1: fix compiling with new g++

* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.9-3mdk
- fix unstallable devel subpackage

* Fri Aug 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.9-2mdk
- patch 0: full gtp3 file support (Sylvain Vignaud)
- make it --short-circuit aware

* Fri Aug 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.9-1mdk
- new release

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0.1-3mdk
- rebuild against latest kde

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0.1-2mdk
- fix buildrequires
- really build with tse3 support

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0.1-1mdk
- cvs snapshot
- fix unpackaged files
- make it %%mklibname aware
- use autoconf 2.5
- rebuild with tse3 support
- remove patches (merged upstream)

* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0-2mdk
- Sylvain Vignaud :
	o patch1: add support for gp3 files
	o patch2: change default file loader filter to show all supported formats

* Mon Sep 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0-1mdk
- 20020909 cvs snapshot (kde3 port)
- patch0: g++-3 support

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-2mdk
- rebuild for new alsa

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-1mdk
- initial package on sly request
